#ifndef GRAPHICS_H
#define GRAPHICS_H

#ifdef __APPLE__
#include <OpenGL/gl.h>
#else
#include <GL/gl.h>
#endif

#include <glm/vec2.hpp>

void initGraphics ();

void graphicsFrame ();

void initBuffers (GLuint* vaoNum);

void initTexture (GLuint* texNum, const char* path);

void initShader();

void printShaderCompileLog(GLuint shader);

void updateModel(glm::vec2 headPos, glm::vec2 facePos, float rotation, float scale, bool mouthOpen);

#endif
